#############################################################################
# Makefile for building: ../bin/Alarmes
# Generated by qmake (2.01a) (Qt 4.5.2) on: jeu. sept. 10 20:51:00 2009
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -nocache -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtSql -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = absencedialog.cpp \
		affichage.cpp \
		alarmedialog.cpp \
		configalertedialog.cpp \
		explication.cpp \
		main.cpp \
		reparation.cpp \
		utilpref.cpp moc_absencedialog.cpp \
		moc_affichage.cpp \
		moc_alarmedialog.cpp \
		moc_configalertedialog.cpp \
		moc_explication.cpp \
		moc_reparation.cpp \
		moc_utilpref.cpp
OBJECTS       = absencedialog.o \
		affichage.o \
		alarmedialog.o \
		configalertedialog.o \
		explication.o \
		main.o \
		reparation.o \
		utilpref.o \
		moc_absencedialog.o \
		moc_affichage.o \
		moc_alarmedialog.o \
		moc_configalertedialog.o \
		moc_explication.o \
		moc_reparation.o \
		moc_utilpref.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = Alarmes
DESTDIR       = ../bin/
TARGET        = ../bin/Alarmes

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_absencedialog.h ui_affichage.h ui_alarmedialog.h ui_configalertedialog.h ui_explication.h ui_reparation.h ui_utilpref.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../bin/ || $(MKDIR) ../bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -nocache -unix -o Makefile src.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtSql.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -nocache -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Alarmes1.0.0 || $(MKDIR) .tmp/Alarmes1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Alarmes1.0.0/ && $(COPY_FILE) --parents absencedialog.h affichage.h alarmedialog.h configalertedialog.h connexion.h explication.h reparation.h utilpref.h .tmp/Alarmes1.0.0/ && $(COPY_FILE) --parents absencedialog.cpp affichage.cpp alarmedialog.cpp configalertedialog.cpp explication.cpp main.cpp reparation.cpp utilpref.cpp .tmp/Alarmes1.0.0/ && $(COPY_FILE) --parents absencedialog.ui affichage.ui alarmedialog.ui configalertedialog.ui explication.ui reparation.ui utilpref.ui .tmp/Alarmes1.0.0/ && (cd `dirname .tmp/Alarmes1.0.0` && $(TAR) Alarmes1.0.0.tar Alarmes1.0.0 && $(COMPRESS) Alarmes1.0.0.tar) && $(MOVE) `dirname .tmp/Alarmes1.0.0`/Alarmes1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Alarmes1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_absencedialog.cpp moc_affichage.cpp moc_alarmedialog.cpp moc_configalertedialog.cpp moc_explication.cpp moc_reparation.cpp moc_utilpref.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_absencedialog.cpp moc_affichage.cpp moc_alarmedialog.cpp moc_configalertedialog.cpp moc_explication.cpp moc_reparation.cpp moc_utilpref.cpp
moc_absencedialog.cpp: ui_absencedialog.h \
		absencedialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) absencedialog.h -o moc_absencedialog.cpp

moc_affichage.cpp: ui_affichage.h \
		affichage.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) affichage.h -o moc_affichage.cpp

moc_alarmedialog.cpp: ui_alarmedialog.h \
		alarmedialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) alarmedialog.h -o moc_alarmedialog.cpp

moc_configalertedialog.cpp: ui_configalertedialog.h \
		configalertedialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) configalertedialog.h -o moc_configalertedialog.cpp

moc_explication.cpp: ui_explication.h \
		explication.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) explication.h -o moc_explication.cpp

moc_reparation.cpp: ui_reparation.h \
		affichage.h \
		ui_affichage.h \
		reparation.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) reparation.h -o moc_reparation.cpp

moc_utilpref.cpp: ui_utilpref.h \
		utilpref.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) utilpref.h -o moc_utilpref.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_absencedialog.h ui_affichage.h ui_alarmedialog.h ui_configalertedialog.h ui_explication.h ui_reparation.h ui_utilpref.h
compiler_uic_clean:
	-$(DEL_FILE) ui_absencedialog.h ui_affichage.h ui_alarmedialog.h ui_configalertedialog.h ui_explication.h ui_reparation.h ui_utilpref.h
ui_absencedialog.h: absencedialog.ui
	/usr/bin/uic-qt4 absencedialog.ui -o ui_absencedialog.h

ui_affichage.h: affichage.ui
	/usr/bin/uic-qt4 affichage.ui -o ui_affichage.h

ui_alarmedialog.h: alarmedialog.ui
	/usr/bin/uic-qt4 alarmedialog.ui -o ui_alarmedialog.h

ui_configalertedialog.h: configalertedialog.ui
	/usr/bin/uic-qt4 configalertedialog.ui -o ui_configalertedialog.h

ui_explication.h: explication.ui
	/usr/bin/uic-qt4 explication.ui -o ui_explication.h

ui_reparation.h: reparation.ui
	/usr/bin/uic-qt4 reparation.ui -o ui_reparation.h

ui_utilpref.h: utilpref.ui
	/usr/bin/uic-qt4 utilpref.ui -o ui_utilpref.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

absencedialog.o: absencedialog.cpp absencedialog.h \
		ui_absencedialog.h \
		explication.h \
		ui_explication.h \
		reparation.h \
		ui_reparation.h \
		affichage.h \
		ui_affichage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o absencedialog.o absencedialog.cpp

affichage.o: affichage.cpp affichage.h \
		ui_affichage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o affichage.o affichage.cpp

alarmedialog.o: alarmedialog.cpp alarmedialog.h \
		ui_alarmedialog.h \
		utilpref.h \
		ui_utilpref.h \
		configalertedialog.h \
		ui_configalertedialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o alarmedialog.o alarmedialog.cpp

configalertedialog.o: configalertedialog.cpp configalertedialog.h \
		ui_configalertedialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o configalertedialog.o configalertedialog.cpp

explication.o: explication.cpp explication.h \
		ui_explication.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o explication.o explication.cpp

main.o: main.cpp connexion.h \
		alarmedialog.h \
		ui_alarmedialog.h \
		absencedialog.h \
		ui_absencedialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

reparation.o: reparation.cpp reparation.h \
		ui_reparation.h \
		affichage.h \
		ui_affichage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o reparation.o reparation.cpp

utilpref.o: utilpref.cpp utilpref.h \
		ui_utilpref.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o utilpref.o utilpref.cpp

moc_absencedialog.o: moc_absencedialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_absencedialog.o moc_absencedialog.cpp

moc_affichage.o: moc_affichage.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_affichage.o moc_affichage.cpp

moc_alarmedialog.o: moc_alarmedialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_alarmedialog.o moc_alarmedialog.cpp

moc_configalertedialog.o: moc_configalertedialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_configalertedialog.o moc_configalertedialog.cpp

moc_explication.o: moc_explication.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_explication.o moc_explication.cpp

moc_reparation.o: moc_reparation.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_reparation.o moc_reparation.cpp

moc_utilpref.o: moc_utilpref.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_utilpref.o moc_utilpref.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

